%define		_sysconfdir	/etc
Summary:	OpenSSL Toolkit libraries for the "Secure Sockets Layer" (SSL v2/v3)
Name:		openssl
Version:	0.9.8d
Release:	1
Group:		Libraries
Source0:	ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz
Vendor:		The OpenSSL Project
License:	Apache-style License
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	SSLeay
Obsoletes:	SSLeay-devel
Obsoletes:	SSLeay-perl

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and Open Source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols with full-strength cryptography world-wide. The project
is managed by a worldwide community of volunteers that use the
Internet to communicate, plan, and develop the OpenSSL tookit and its
related documentation.

OpenSSL is based on the excellent SSLeay library developed by Eric A.
Young and Tim J. Hudson. The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get
and use it for commercial and non-commercial purposes subject to some
simple license conditions.

This package contains shared libraries only, install openssl-tools if
you want to use openssl cmdline tool.

%package 	devel
Summary:	Development part of OpenSSL Toolkit libraries
Group:		Development

%description 	devel
Development part of OpenSSL library.

%prep
%setup -q 

%build
for i in Configure Makefile.org ; do
        perl -pi -e 's#-m486##g' $i
	perl -pi -e 's#-O3 -fomit-frame-pointer#%{optflags}#g' $i
	perl -pi -e 's#-mcpu=ultrasparc#%{optflags}#g' $i
done
touch Makefile.*

perl util/perlpath.pl %{_bindir}/perl

./Configure --openssldir=%{_var}/lib/%{name} linux-elf shared 386

%{__make} OPT_FLAGS="%{?debug:-O0 -g}%{!?debug:$RPM_OPT_FLAGS} -DSSL_ALLOW_DH"
%{__make} INSTALLTOP=%{_prefix} \
	OPT_FLAGS="%{?debug:-O0 -g}%{!?debug:$RPM_OPT_FLAGS}"
%ifarch alpha
%{__make} linux-shared
%endif
%{__make} rehash

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_libdir}/%{name}}

%{__make} install \
	INSTALLTOP=%{_prefix} \
	INSTALL_PREFIX=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_var}/lib/%{name}/openssl.cnf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s ../../../%{_sysconfdir}/%{name}/openssl.cnf \
	$RPM_BUILD_ROOT%{_var}/lib/%{name}/%{name}.cnf

mv -f $RPM_BUILD_ROOT%{_var}/lib/%{name}/misc/*  $RPM_BUILD_ROOT%{_libdir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_var}/lib/%{name}/misc
mv -f $RPM_BUILD_ROOT%{_bindir}/c_rehash $RPM_BUILD_ROOT%{_libdir}/%{name}
mv -f $RPM_BUILD_ROOT/var/lib/openssl/man $RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/usr/bin
/usr/lib/*.so.*
/usr/lib/*.so
/var

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/openssl
/usr/lib/pkgconfig
/usr/lib/*.a
